package com.cm.common.config.properties;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: SystemProperties
 * @Description: 系统配置
 * @Author: WangGeng
 * @Date: 2019/9/3 10:14 上午
 * @Version: 1.0
 **/
@Component
@ConfigurationProperties(prefix = "server")
public class SystemProperties {

    private Integer port;
    private String url;
    private String ws;
    private String title;
    private String portalUrl;
    private String loginPageName;

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public String getUrl() {
        return url == null ? "" : url.trim();
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getWs() {
        return ws;
    }

    public void setWs(String ws) {
        this.ws = ws;
    }

    public String getTitle() {
        return title == null ? "" : title.trim();
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getPortalUrl() {
        return portalUrl == null ? "" : portalUrl.trim();
    }

    public void setPortalUrl(String portalUrl) {
        this.portalUrl = portalUrl;
    }

    public String getLoginPageName() {
        return loginPageName == null ? "" : loginPageName.trim();
    }

    public void setLoginPageName(String loginPageName) {
        this.loginPageName = loginPageName;
    }
}
